package wechat

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/response"
	"hongze/hongze_yb/services/wechat"
	"hongze/hongze_yb/services/wx_app"
)

func GetQrCode(c *gin.Context) {
	//wxApp := wx_app.GetWxApp()
	//response.OkData("获取成功", qrCode, c)
}

func GetUserInfo(c *gin.Context) {
	openid := `oN0jD1S3P-FVosLhq-YiVOXldtRo`
	userInfo, err := wechat.GetUserInfo(openid)
	if err != nil {
		response.Fail("获取失败，Err:"+err.Error(), c)
		return
	}
	response.OkData("获取成功", userInfo, c)
}

func GetUserSession(c *gin.Context) {
	code, _ := c.GetQuery("code")
	//c.Sho
	//fmt.Println(c.Request.)
	userInfo, err := wx_app.GetSession(code)
	if err != nil {
		response.Fail("获取失败，Err:"+err.Error(), c)
		return
	}
	response.OkData("获取成功", userInfo, c)
}

func Login(c *gin.Context) {
	code, _ := c.GetQuery("code")
	//c.Sho
	//fmt.Println(c.Request.)
	wxUserInfo, err := wx_app.GetSession(code)
	if err != nil {
		response.Fail("获取失败，Err:"+err.Error(), c)
		return
	}
	response.OkData("获取成功", wxUserInfo, c)
}
